.card_cust {
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  background: #fff;
  width: 32%;
  margin: 3px;
  padding-left: 0;
  padding-right: 0;
  height: fit-content;
}

.card_cust-header {
  width: 100%;
  height: 180px;
  overflow: hidden;
}

.proposal-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card_cust-body {
  padding: 15px 12px;
  /* border: 1px solid; */
  height: 13rem;
}

.seller-info {
  display: flex;
  /* align-items: center; */
  gap: 10px;
}

.seller-img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  object-fit: cover;
}

.seller-name {
  /* font-size: 15px; */
  font-weight: bold;
  margin: 0;
}
.display_flex_space_btn {
  display: flex;
  justify-content: space-between;
}

.seller-level {
  font-size: 13px;
  color: gray;
}

.proposal-title {
  font-size: 15px;
  font-weight: bold;
  margin-top: 10px;
}

.proposal-price {
  font-size: 13px;
  color: grey;
  font-weight: bold;
  margin-top: 12px;
}

.category_list_display_flx {
  /* display: flex; */
  /* overflow-x: scroll; */
  /* text-wrap-mode: nowrap; */
}

.category_headding {
  border-bottom: 1px solid lightgray;
  padding: 16px 13px 16px 5px;
  /* background-color: #f8f9fa; */
  border-radius: 3px;
  font-size: 16px;
  position: relative;
  /* color: #fff; */
  box-shadow: 0px 1px 1px lightgrey;
}
.dropdown_cat_list {
  width: 25px;
  text-align: center;
  height: 25px;
  /* background-color: white; */
  align-content: center;
  position: absolute;
  right: 12px;
  border-radius: 3px;
  margin-top: -21px;
}
.filter_btn_div {
  border: 1px solid lightgrey;
  width: -webkit-fill-available;
  padding: 2px 4px 0 10px;
  margin: 0 5px;
  /* background-color: #d5d0d0; */
  border-radius: 3px;
  font-size: 16px;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.filter_btn_divinner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 3px;
}

.filter_btn_div_outer {
  display: flex;
  /* border: 1px solid lightgray; */
  padding: 8px 14px;
  margin-bottom: 0.5rem;
  background-color: #f8f9fa;
  overflow: auto;
}

.filter_level_div,
.filter_language_div,
.filter_city_div,
.filter_deliverytime_div,
.filter_order_div,
.filter_country_div {
  display: none;
}

.heading_main_cath1 {
  color: white;
  font-size: 35px !important;
}

.desc_main_cat {
  color: white;
  font-size: 19px !important;
}

.main_category_top_dec {
  align-content: center;
  place-items: center;
}

.result_conatiner {
  /* border: 1px solid green; */
  width: 74%;
  margin: 0px auto 10px;
  /* place-content: center; */
}

.card_cust_proposl_style {
  width: 200px;
  height: 300px;
  border: 1px solid grey;
}

.category_list_display_flx {
  width: 100%;
  /* border: 1px solid lightgray; */
  /* max-width: 800px; */
  margin: auto;
  border-radius: 3px;
  /* /* text-align: center; */
}

.sub_cat_heading {
  /* background-color: #007bff; */
  color: #fff;
  padding: 20px 10px 10px;
  border-radius: 5px;
  margin-bottom: 15px;
}

.attribute_container {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
}

.attribute_box {
  padding: 8px 3px;
  /* height: 160px; */
  width: 130px;
}

.main_category_top_dec {
  /* border: 1px solid grey; */
  width: 100%;
  min-height: 30vh;
  padding: 16px;
  /* background-color: greenyellow; */
  background-image: url("../images/banner_bckground.png");
  /* background-size: cover; */
}

.proposal-rating {
  font-size: 15px;
  color: grey;
  font-weight: bold;
  margin-top: 12px;
}

.child_category_headding {
  border: 1px solid #ffffff;
  padding: 6px;
}

.div_block_style {
  /* background-color: #f8f9fa; */
}

.child_category_wrapper {
  display: none;
  /* opacity: 0; */
  transform: translateY(-10px);
  transition: opacity 0.3s ease, transform 0.3s ease;
  background-color: white;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  padding: 10px;
  border-radius: 5px;
  z-index: 11;
  width: 21.5%;
  position: absolute;
  /* min-width: 200px; */
}

.div_block_style {
  /* position: relative; */
}

/* .div_block_style:hover .child_category_wrapper {
    display: block;
    opacity: 1;
    transform: translateY(0);
} */

.current {
  background-color: #00cedc;
  color: white;
}

.filter_btn_div p {
  margin: 0;
}

.fodiv_pos_abs {
  position: absolute;

  z-index: 10;
  background-color: white;
  padding: 8px;
  width: 200px;
  /* min-height: 20vh; */
  box-shadow: 0px 1px 3px gray;
  margin-top: 6px;
  border-radius: 0 0 4px 4px;
}

.sidebar_bg_theme_color {
  background-color: #ebebeb;
  padding: 1rem;
  /* border-radius: 3px; */
  width: 24%;
  margin-right: 0.5rem;
  margin-left: 0.5rem;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.sidebar_heading_text {
  padding: 1rem 0;
}

.sidebar_cat_search_input_style {
  width: 100%;
  /* padding: 10px; */
  display: flex;
  margin-bottom: 6px;
  border-radius: 5px;
  background-color: #d1d1d1;
}

.sidebar_cat_search_input_style input {
  padding: 12px 12px 12px 0;
  width: 100%;
  border: none;
  border-radius: 5px;
  background-color: transparent;
  /* color: #fff; */
}
.add_search_icon {
  /* border-right:1px solid; */
  width: 45px;
  text-align: center;
  /* background-color: #d1d1d1; */
  place-content: center;
  /* border-radius: 5px 0 0 5px; */
  /* margin: 10px 5px 10px 0; */
}
.add_search_icon2 {
  /* border:1px solid green; */
  width: 12%;
  display: none;
  text-align: center;
  /* background-color: #d1d1d1; */
  place-content: center;
  /* border-radius: 0 5px 5px 0; */
}

.sidebar_cat_search_input_style input::placeholder {
  color: grey;
}

.sidebar_cat_search_input_style input:focus-visible {
  border: none;
  outline: none;
}

.style_dive_hr {
  background-color: lightgray;
  height: 1px;
  margin-bottom: 9px;
  width: 45%;
  justify-self: center;
  align-self: center;
}

.cat_title_width_image {
  display: flex;
}

.cat_title_width_imagein {
  margin-right: 9px;
}

.cat_title_width_imagein img {
  width: 25px;
  height: 25px;
  /* color: white; */
}

.filter-tag {
  padding: 5px 7px;
  background-color: lightgray;
  border-radius: 3px;
  margin: 0 5px 12px 0;
  font-size: 18px;
}

.remove-filter {
  /* border: 1px solid #00cedc; */
  padding: 0 5px;
  margin-left: 7px;
  background: white;
  /* font-size: 15px; */
  /* color: white; */
  border-radius: 50px;
  cursor: pointer;
}

.heading_of_small_device {
  display: none;
}

.fs-fs165 {
  font-size: 16px;
  font-weight: 500;
}

.bottom_all_filter_div {
  display: none;
}

.showing_cat_results_div_style {
  position: absolute;
  z-index: 11;
  width: 21%;
  overflow: auto;
  box-shadow: 0px 0px 5px lightgray;
  height: 50vh;
  background-color: white;
  display: none;
  padding: 10px;
}

.showing_cat_results_div_style a p {
  padding: 3px;
  margin-bottom: 5px;
  background-color: #ebebeb;
  /* box-shadow: 1px 0px 5px lightgray; */
}

.horizontal_line_style {
  padding: 0.1px;
  box-shadow: 1px 1px 5px gray;
  background-color: lightgray;
}

#clear-country-filters,
#clear-delivery-filters,
#clear-level-filters,
#clear-lang-filters {
  border: none;
  background: none;
  font-size: 14px;
  font-weight: 600;
}

/* sub cat file */

.attr_img_div {
  /* border: 1px solid green; */
  width: 100%;
  /* height: 80px; */
  text-align: center;
  align-content: center;
}

.attr_img_div img {
  width: 30%;
  box-shadow: 0px 0px 25px 2px white;
}

.content_center_dive a p {
  text-align: center;
  padding-top: 10px;
}
.text_skill_style {
  color: white;
  box-shadow: 0px 0px 3px white;
  /* box-shadow: 0px 0px 3px white; */
  padding: 6px;
  border: 1px solid white;
  text-align: center;
  border-radius: 4px;
  background-color: #ebebeb;
  margin-bottom: 7px;
  text-align: black;
  color: black;
  width: 100%;
  text-align: center;
  height: 100%;
  place-content: center;
}
@media (max-width: 1023.8px) {
  .card_cust {
    width: 45%;
    margin: 5px;
    padding-left: 0;
    padding-right: 0;
  }

  .result_conatiner {
    /* border: 1px solid green; */
    width: 68%;
    /* place-content: center; */
  }

  .sidebar_bg_theme_color {
    width: 30%;
  }

  .heading_of_small_device {
    /* border: 1px solid green; */
    padding: 0 14px;
  }

  .filter_on_mobile {
    /* background-color: #ebebeb; */
    width: 100%;
    display: flex;
    border: 1px solid transparent;
    /* box-shadow: 2px 1px 3px lightgray; */
  }

  .filter_btn_div_style {
    border: 1px solid lightgray;
    padding: 8px;
    width: 49%;
    margin: 4px;
    border-radius: 5px;
    /* font-size: 14px; */
    font-weight: 500;
    text-align: center;
    align-content: center;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }
}

@media (max-width: 900px) {
  .clear-lang-filters {
    display: none !important;
  }
  #clear-country-filters,
  #clear-delivery-filters,
  #clear-level-filters,
  #clear-lang-filters {
    display: none;
  }

  .filter_btn_div_outer {
    /* display: none; */
    display: none;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    z-index: 11;
  }

  .heading_of_small_device {
    display: flex;
  }

  .close_all_filter_div {
    /* border-bottom: 1px solid grey; */
    border-bottom: 1px solid grey;
    display: flex;
    justify-content: space-between;
    padding: 10px 15px;
    margin-bottom: 10px;
  }

  .online_seller_div_mob {
    display: none !important;
  }

  .result_conatiner {
    width: 100%;
  }

  .sidebar_bg_theme_color {
    display: none;
  }

  .filter_level_div,
  .filter_language_div,
  .filter_city_div,
  .filter_deliverytime_div,
  .filter_order_div,
  .filter_country_div {
    display: block !important;
  }

  .filter_btn_div {
    border: none;
    margin: 0 5px;
    width: fit-content;
    padding: 5px;
    display: block;
    text-wrap-mode: nowrap;
    border-radius: 3px;
    font-size: 15px;
    justify-content: space-between;
    align-items: center;
    box-shadow: none;
  }

  .card_cust {
    width: 32%;
    margin: 5px;
    padding-left: 0;
    padding-right: 0;
  }

  .fodiv_pos_abs {
    position: unset;
    /* z-index: 10; */
    background-color: transparent;
    padding: 8px;
    width: 100%;
    display: grid;
    /* min-height: unset; */
    box-shadow: none;
    margin-top: 6px;
    /* border-bottom: 1px solid grey; */
    border-radius: 0 0 4px 4px;
  }

  .filter_btn_divinner {
    font-size: 18px;
  }
  .attribute_container {
    display: -webkit-box;
    overflow: auto;
    /* border: 1px solid green; */
    width: 100%;
    flex-flow: nowrap;
    /* -webkit-box-pack: center; */
  }
}

@media (max-width: 767.8px) {
  .remove-filter {
    /* border: 1px solid #00cedc; */
    padding: 0 4px;
    margin-left: 7px;
    background: white;
    /* font-size: 15px; */
    /* color: white; */
    border-radius: 50px;
  }

  .filter-tag {
    padding: 5px 7px;
    background-color: lightgray;
    border-radius: 3px;
    margin: 2px 5px 5px 0;
    font-size: 13px;
  }

  .filter_btn_div p {
    margin: 0;
    font-weight: 500;
  }

  .filter_btn_divinner i {
    display: none;
  }

  .show_online_btn_mob {
    display: flex;
  }

  .show_online_btn_mob1 {
    padding: 4px 6px 0px;
  }

  .show_online_btn_mob2 {
    padding: 3px 0px 0px;
  }

  .close_all_filter_div {
    /* border: 1px solid grey;
        border-bottom: 1px solid grey;
        display: flex;
        justify-content: space-between;
        padding: 10px; */

    /* width: 150px;
        padding: 4px;
        background-color: #00cedc;
        margin-left: 12px;
        color: #fff;
        border-radius: 5px;
        font-size: 20px;
        text-align: center; */
  }

  .online_seller_div_mob {
    display: none !important;
  }

  .result_conatiner {
    width: 100%;
  }

  .sidebar_bg_theme_color {
    display: none;
  }

  .filter_level_div,
  .filter_language_div,
  .filter_city_div,
  .filter_deliverytime_div,
  .filter_order_div,
  .filter_country_div {
    display: block !important;
  }

  .filter_btn_div {
    border: none;
    margin: 0 5px;
    width: 90%;
    margin: auto;
    padding: 5px;
    display: block;
    text-wrap-mode: nowrap;
    border-radius: 3px;
    font-size: 15px;
    justify-content: space-between;
    align-items: center;
    box-shadow: none;
  }

  .card_cust {
    width: 32%;
    margin: 3px;
    padding-left: 0;
    padding-right: 0;
  }


  .fodiv_pos_abs {
    position: unset;
    /* z-index: 10; */
    background-color: transparent;
    padding: 8px;
    width: 100%;
    display: grid !important;
    /* min-height: unset; */
    box-shadow: none;
    margin-top: 6px;
    /* border-bottom: 1px solid grey; */
    border-radius: 0 0 4px 4px;
  }

  .filter_btn_divinner {
    font-size: 16px;
    /* border: 1px solid; */
    width: 100%;
    /* background-color: #ebebeb; */
    padding: 9px;
    border-radius: 5px;
  }

  .bottom_all_filter_div {
    display: flex;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 11;
    width: 100%;
    background-color: white;
    box-shadow: -1px -1px 5px lightgray;
    padding: 15px;
    text-align: center;
  }

  .show_resluts_btn {
    width: 100%;
    border: none;
    background-color: black;
    color: white;
    padding: 10px;
    border-radius: 5px;
  }
}

@media (max-width: 639.8px) {
  .card_cust {
    width: 47%;
  }
}

@media (max-width: 479.8px) {
  .card_cust {
    width: 100%;
  }

  .heading_main_cath1 {
    color: white;
    font-size: 21px !important;
  }

  .desc_main_cat {
    color: white;
    padding: 2px 15px;
    text-align: center;
    margin-bottom: 0;
    font-size: 13px !important;
  }

  .main_category_top_dec {
    /* border: 1px solid grey; */
    width: 100%;
    padding-top: 10px;
    /* height: unset; */
    /* background-color: greenyellow; */
    /* background-image: url('images/banner_bckground.png'); */
  }
}

@media (min-width: 900.2px) {
  .close_all_filter_div {
    display: none;
  }
  .horizontal_line_style {
    display: none;
  }
}

/* slider css */
.heading_proposal_card {
  display: flex;
  width: 100%;
  justify-content: space-between;
  /* border:1px solid green !important; */
}

.online_seller,
.offline_seller {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  margin-left: 5px;
}

/* 🟢 Online Seller */
.online_seller {
  background-color: #28a745; /* Green */
  box-shadow: 0 0 5px #28a745;
}

/* 🔴 Offline Seller */
.offline_seller {
  background-color: #dc3545; /* Red */
  box-shadow: 0 0 5px #dc3545;
}

/* Styling for text */
.online_seller + span,
.offline_seller + span {
  font-size: 10px;
  font-weight: 500;
  color: #333;
}


.fa-angle-down {
  transition: transform 0.3s ease;
  /* ✅ Smooth rotation */
}

.rotate-180 {
  transform: rotate(180deg);
  /* 🔄 Rotate 180 degrees */
}